org.deidentifier.arx.gui.view.impl.utility

## Class ViewStatisticsClassification

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.ViewStatistics<AnalysisContextClassification>
  - - org.deidentifier.arx.gui.view.impl.utility.ViewStatisticsClassification

All Implemented Interfaces:
  IView

Direct Known Subclasses:
  ViewStatisticsClassificationInput, ViewStatisticsClassificationOutput

    public abstract class ViewStatisticsClassification
    extends ViewStatistics<AnalysisContextClassification>

This view displays a statistics about the performance of logistic regression classifiers

Author:
  Fabian Prasser, Johanna Eicher

### Field Summary

### Fields inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

`MINIMAL_WORKING_TIME`

### Constructor Summary

Constructors
Constructor and Description
`ViewStatisticsClassification(org.eclipse.swt.widgets.Composite parent, Controller controller, ModelEvent.ModelPart part)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`LayoutUtility.ViewUtilityType` `getType()` Returns the type
`void` `update(ModelEvent event)` Updates the view.

### Methods inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

`dispose, reset, triggerStop, triggerUpdate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewStatisticsClassification

    public ViewStatisticsClassification(org.eclipse.swt.widgets.Composite parent,
                                        Controller controller,
                                        ModelEvent.ModelPart part)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `part` -

### Method Detail

#### getType

    public LayoutUtility.ViewUtilityType getType()

Description copied from class: `ViewStatistics`
Returns the type

Specified by:
  `getType` in class `ViewStatistics<AnalysisContextClassification>`
Returns:

#### update

    public void update(ModelEvent event)

Description copied from interface: `IView`
Updates the view.

Specified by:
  `update` in interface `IView`
Overrides:
  `update` in class `ViewStatistics<AnalysisContextClassification>`